import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _MTRCommodityMeteringClusterMeteredQuantityStruct extends _NSObject {
    static alloc(): _MTRCommodityMeteringClusterMeteredQuantityStruct;
    static new(): _MTRCommodityMeteringClusterMeteredQuantityStruct;
    init(): _MTRCommodityMeteringClusterMeteredQuantityStruct;
    tariffComponentIDs(): _NSArray;
    setTariffComponentIDs$(value: _NSArray): void;
    quantity(): _NSNumber;
    setQuantity$(value: _NSNumber): void;
}
export interface _MTRCommodityMeteringClusterMeteredQuantityStruct extends _NSCopying {
}
